KBUILDSYCOCA5(8)

NAME
kbuildsycoca5 - Ricostruisce la cache della configurazione del filesystem di KService.

SINTASSI

kbuildsycoca5 [OPZIONI...]

DESCRIZIONE

kbuildsycoca5 genera una cache binaria dei dati memorizzati nei file .desktop e file di tipo .xml che l'infrastruttura KService usa per trovare estensioni, applicazioni e altri servizi.

La libreria KService usa questa banca dati per fornire efficacemente le informazioni richieste.

Gli utenti normalmente non devono eseguire questa applicazione direttamente; KService verrà eseguito quando necessario, e se KDED è in esecuzione eseguirà kbuildsyscoca5 ogni volta che qualsiasi file i cui dati sono memorizzati viene modificato.

OPZIONI

--checkstamps
    Controlla la data e l'ora dei file della cache e le cartelle delle risorse contenenti i dati da memorizzare, e aggiorna la banca dati solo se una delle cartelle è stata modificata più recentemente della cache. Viene ignorato se sono impostati --nocheckfiles o --noincremental.

--global
    Ignora tutti i file impostati dall'utente (in XDG_DATA_HOME). Questo è attualmente supportato solo sui sistemi Unix.

--nocheckfiles
    Non rigenera la cache a meno che qualcos'altro che una modifica dei file delle risorse lo richieda (come il cambiamento del formato della cache, o la modifica di XDG_DATA_DIRS sui sistemi Unix). Viene ignorato se è impostato --global.

--noincremental
    Invece di usare la cache attuale e aggiornare solo le informazioni che sono state modificate o aggiunte, comincia con una cache vuota. Viene ignorato se è impostato --global.

--nosignal
    Normalmente, kbuildsyscoca5 invia un segnale via D-Bus una volta che la cache è stata modificata a tutte le applicazioni che usano KService, in modo che lavorino sempre con le informazioni più recenti. Questa opzione sopprime questo comportamento.

--menutest
    Fa una prova di generazione della banca dati dei menu delle applicazioni. Non genera realmente la cache.

--testmode
    Usa la «modalità di prova» di QStandardPaths per evitare di interferire con i dati degli utenti. È pensato per essere usato in prove di unità.

--track identificativo_menu
    Traccia un identificativo di menu per debug.

--author
    Mostra le informazioni sull'autore.

--license
    Mostra le informazioni sulla licenza.

-h, --help
    Mostra un breve testo di aiuto.

-v , --version
    Mostra le informazioni sulla versione.

FILE

cachedir/ksycoca5
    La cache di KService generata da kbuildsycoca5. Sui sistemi Unix, cachedir è tipicamente ~/.config.

cachedir/ksycoca5stamp
    La data, l'ora e altre informazioni aggiuntive sul file principale della cache. Sui sistemi Unix, cachedir è tipicamente ~/.config.

VEDI ANCHE

kded5(8), kdeinit5(8)

ERRORI

Probabilmente ci sono un sacco di errori. Usa il tracciatore di errori di KDE[1] per segnalarli.

AUTHORS

Darian Lanx <content@openprojects.net>
    Ha scritto la documentazione originale.

Alex Merry <alexmerry@kde.org>
    Ha aggiornato la documentazione per KDE Frameworks 5.

NOTES

1.  il tracciatore di errori di KDE
    http://bugs.kde.org